#include <stdio.h>
#include <stdlib.h>

void f(long int n, long long int m, long int k)
{
    int p, q;
    q=n%k;
    p=n/k;
    int min;
    min=q*(((p+2)*(p+1))/2)+(k-q)*(((p+1)*p)/2);
    if (min<=m)
    {
        printf("Tak\n");
        return;
    }
    else
    {
        printf("Nie\n");
        return;
    }
}

int main()
{
    int t;
    scanf("%d", &t);
    static long int n[10];
    static long long int m[10];
    static long int k[10];
    for (int i=0; i<t; i++)
        scanf("%ld %lld %ld", n+i, m+i, k+i);
    for (int i=0; i<t; i++)
        f(n[i], m[i], k[i]);
    return 0;
}